Compare commits

...

38 commits
main ... dev

Author SHA1 Message Date
b63f3a4278
\ 2024-10-09 21:51:20 +02:00
7aedeacab3
20241008,3.13 2024-10-09 21:12:22 +02:00
6dce786f1d
3.13 2024-10-09 21:08:09 +02:00
03bc5549bd
venvs/python 2024-09-30 11:00:28 +02:00
23454baf85
pypy 2024-09-30 10:03:43 +02:00
c892216dd6
maturin 2024-09-30 09:23:45 +02:00
135f4fe65e
merge 2024-09-30 08:26:06 +02:00
deb5145182
cython 2024-09-30 08:11:29 +02:00
5b1656b7aa
exit 2024-09-29 23:14:09 +02:00
c455f942b9
pypy3.10 2024-09-29 22:25:40 +02:00
2f2ba172d8
7.3.17 2024-09-29 21:54:34 +02:00
1a4c733b43
pypy 2024-09-29 21:49:21 +02:00
e71613dfc7
tmp 2024-09-29 20:13:55 +02:00
f6128a4632
os 2024-09-29 19:35:33 +02:00
ab6f9667b1
python3 2024-09-29 19:07:23 +02:00
37277d1dc2
sub 2024-09-29 18:14:47 +02:00
c271c7de58
simple 2024-09-29 18:11:16 +02:00
719aa2f9fd
indent 2024-09-29 18:08:39 +02:00
37af0dbe2d
versions 2024-09-29 17:52:47 +02:00
771878775e
release 2024-09-29 15:51:16 +02:00
71e7b74f75
filter 2024-09-29 15:42:16 +02:00
b5bcbf845e
11,10 2024-09-29 15:26:23 +02:00
94956d1c36
pypi 2024-09-28 22:32:04 +02:00
c99fa38daa
root 2024-09-28 22:30:23 +02:00
efad854652
cd/exit 2024-09-28 22:14:25 +02:00
a596a8868c
cd/exit 2024-09-28 22:12:09 +02:00
3cd1a1d718
${?} 2024-09-28 22:08:28 +02:00
8c4e1feeec
shrink 2024-09-28 22:00:35 +02:00
e6d5d36347
tabs 2024-09-28 21:59:28 +02:00
ffc2370fde
cpypy 2024-09-28 21:56:18 +02:00
583037eea4
pypi 2024-09-28 21:55:28 +02:00
72f4d4fd18
shrink 2024-09-28 21:21:42 +02:00
31eb6e63bf
split 2024-09-28 21:19:02 +02:00
3de52a3dd4
indent 2024-09-28 21:18:02 +02:00
0b98aaa996
tabs 2024-09-28 21:15:42 +02:00
fe85a9b527
tabs 2024-09-28 21:14:04 +02:00
6f0f8baf4d
root 2024-09-28 20:10:06 +02:00
b7138b9b72
py/start 2024-09-27 09:52:55 +02:00
4 changed files with 168 additions and 13 deletions

View file

@ -4,7 +4,7 @@ ROOT="$(dirname "${FILE}")"
ERROR='→ ERROR! ERROR! ERROR! ←'
DISTS=(
'bookworm' 'bookworm-backports' 'bookworm-updates'
'bookworm' 'bookworm-backports' 'bookworm-updates'
)
MISSING='Contents-all.gz'
SECTIONS=('main' 'non-free-firmware' 'contrib' 'non-free')
@ -13,13 +13,12 @@ DEBIAN_ROOT='debian/dists'
LOCAL_ROOT="${ROOT}/root/deb/debian/${DEBIAN_ROOT}"
REMOTE_ROOT="https://deb.debian.org/${DEBIAN_ROOT}"
for dist in "${DISTS[@]}" ; do
for section in "${SECTIONS[@]}" ; do
cd "${LOCAL_ROOT}/${dist}/${section}"
rm --force "${MISSING}"
wget "${REMOTE_ROOT}/${dist}/${section}/${MISSING}" &> /dev/null
if [ ${?} -ne 0 ] ; then
echo "${ERROR}"
fi
done
for dist in "${DISTS[@]}"; do
for section in "${SECTIONS[@]}"; do
cd "${LOCAL_ROOT}/${dist}/${section}" ||
echo "${ERROR}"
rm --force "${MISSING}"
wget "${REMOTE_ROOT}/${dist}/${section}/${MISSING}" &>/dev/null ||
echo "${ERROR}"
done
done

View file

@ -1,13 +1,17 @@
#! /usr/bin/env bash
FILE="$(realpath "${BASH_SOURCE[0]}")"
cd "$(dirname "${FILE}")"
cd "$(dirname "${FILE}")" ||
exit
ROOT='root/msys2'
rm s/msys/*.tar
rm i/mingw/mingw64/*.tar
rm -fr "${ROOT}/msys/x86_64" ; mv -i s/msys "${ROOT}/msys/x86_64"
rm -fr "${ROOT}/mingw" ; mv -i i/mingw "${ROOT}/"
rm -fr "${ROOT}/msys/x86_64"
mv -i s/msys "${ROOT}/msys/x86_64"
rm -fr "${ROOT}/mingw"
mv -i i/mingw "${ROOT}/"
rmdir s i

39
py.cpypy.sh Executable file
View file

@ -0,0 +1,39 @@
#! /usr/bin/env sh
file="$(readlink --canonicalize-existing "${0}")"
root="$(dirname "${file}")"
root="${root}/root/py/cpypy"
data="download-metadata.json"
path="${root}/${data}"
url="https://github.com\
/astral-sh/uv/raw/refs/heads/main/crates/uv-python/${data}"
rm --force --recursive "${root}"
mkdir --parents "${root}"
wget --continue --output-document "${path}" "${url}" 2>/dev/null
echo
echo "${path}"
cat "${path}"
for url in $(jq -r ".. | objects | .url?" "${path}" |
grep "\(/20241008/\|/pypy3.10-v7.3.17\)" |
grep --invert-match "\(armv7\|ppc64le\|s390x\)" |
grep --invert-match "\(apple-darwin\|macos\|win64\|windows-msvc\)"); do
case "$(basename "${url}")" in
cpython-3.13* | \
cpython-3.12* | \
cpython-3.11* | \
cpython-3.10* | \
pypy3.10*)
file="$(basename "${url}" | sed "s|%2B|+|g")"
dir="$(dirname "${url}")"
date="$(basename "${dir}")"
path="${root}/${date}"
mkdir --parents "${path}"
wget --continue --output-document "${path}/${file}" "${url}"
;;
*) ;;
esac
done

113
py.pypi.sh Executable file
View file

@ -0,0 +1,113 @@
#! /usr/bin/env sh
set \
"pip" \
"setuptools" \
"wheel" \
\
"uv" \
\
"pelican" \
\
"hatch" \
\
"Sphinx" \
"sphinx-rtd-theme" \
\
"gitlint" \
\
"pydoclint" \
"pylint" \
"ruff" \
\
"pytest" \
\
"toml" \
\
"twine" \
\
"mypy" \
"pyright" \
\
"ruamel.yaml" \
"PyYAML" \
"types-PyYAML" \
\
"Cython" \
"maturin"
file="$(readlink --canonicalize-existing "${0}")"
root="$(dirname "${file}")"
root="${root}/root/py/pypi"
tmp="${root}/tmp"
rm --force --recursive "${root}"
for version in \
"os" \
"python3.13" \
"python3.12" \
"python3.11" \
"python3.10" \
"pypy3.10" \
; do
export VIRTUAL_ENV="/prj/venv/${version}"
export OLD_PATH="${PATH}"
export PATH="${VIRTUAL_ENV}/bin:${PATH}"
sub="${root}"
# sub="${root}/${version}"
python3 -m pip \
download \
--dest "${sub}" \
"${@}"
export PATH="${OLD_PATH}"
unset OLD_PATH VIRTUAL_ENV
done
prefix="Name: "
for wheel in "${sub}/"*; do
rm --force --recursive "${tmp}"
mkdir --parents "${tmp}"
echo
echo "${wheel}"
file="$(basename "${wheel}")"
case "${file}" in
*.tar.gz)
short="${file%.*}"
short="${short%.*}"
;;
*.whl)
short="${file%.*}"
;;
esac
file_name="$(echo "${short}" | cut -d "-" -f 1)"
file_version="$(echo "${short}" | cut -d "-" -f 2)"
case "${file}" in
*.tar.gz)
meta_data="${file_name}-${file_version}/${file_name}.egg-info/PKG-INFO"
if ! tar xf "${wheel}" -C "${tmp}" "${meta_data}"; then
meta_data="${file_name}-${file_version}/PKG-INFO"
tar xf "${wheel}" -C "${tmp}" "${meta_data}" || exit
fi
;;
*.whl)
meta_data="${file_name}-${file_version}.dist-info/METADATA"
unzip "${wheel}" "${meta_data}" -d "${tmp}" || exit
;;
esac
name="$(grep "${prefix}" "${tmp}/${meta_data}" | sed "s|${prefix}||")"
echo "${name}"
name="$(echo "${name}" | tr "[:upper:]" "[:lower:]")"
name="$(echo "${name}" | tr "." "-")"
name="$(echo "${name}" | tr "_" "-")"
name="$(echo "${name}" | tr -d "\r")"
echo "${name}"
simple="${sub}/simple/${name}"
mkdir --parents "${simple}"
mv -i "${wheel}" "${simple}/"
done
rm --force --recursive "${tmp}"